Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-nodejs
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename buffertools
%global enable_tests 1

Name:		nodejs-buffertools
Version:	2.1.3
Release:	alt1_23
Summary:	Working with node.js buffers made easy

License:	ISC
URL:		https://github.com/bnoordhuis/node-buffertools
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Patch for building on ARM
Patch0:		nodejs-buffertools_signed_char.patch

# Patch to use the nodejs "bindings" module instead of hardcoding the path
Patch1:		nodejs-buffertools_use-bindings.patch


BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	node-gyp
BuildRequires:	node-devel rpm-build-nodejs
BuildRequires:	npm(bindings)
%endif
Source44: import.info

%description
Working with node.js buffers made easy.


%prep
%setup -q -n package
%patch0 -p2
%patch1 -p2


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags} -Wl,-z,undefs"
node-gyp rebuild


%install
mkdir -p %{buildroot}%{nodejs_sitearch}/%{packagename}/build/Release
cp -p package.json buffertools.js %{buildroot}%{nodejs_sitearch}/%{packagename}/
cp -p build/Release/%{packagename}.node %{buildroot}%{nodejs_sitearch}/%{packagename}/build
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitearch}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.3-alt1_23
- new version

